VNSI versions and compatibility

  Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
homer314 Offline
Junior Member
Posts: 7
Joined: Dec 2014
Reputation: 0
Post: #31
(2014-12-15 17:10)FernetMenta Wrote:  vnsi does not touch the stream other than demuxing it. how did you measure bitrate?

simply using jnettop terminal utility.

Another little question: what are differencies between standard vnsi protocol and vnsi5?

Thanks Smile
find quote
FernetMenta Online
Team-Kodi Developer
Posts: 6,190
Joined: Jul 2010
Reputation: 140
Location: Munich
Post: #32
(2014-12-15 17:14)homer314 Wrote:  Another little question: what are differencies between standard vnsi protocol and vnsi5?

When I took over VNSI I had to do lots of changes to the protocol definition. Maintaining a backwards compatibility during this time would have been too much effort. Instead I suffixed the version of vnsi with the version of protocol required. With release of 1.0 I maintain backwards compatibility again. Means you can upgrade the plugin to 1.2.0 without having to change any other component.
find quote
magicamun Offline
Member
Posts: 78
Joined: Feb 2012
Reputation: 0
Post: #33
Hi - i am preparing for Kodi - update - i am running gotham 13.2 atm.

Which is the proper repo for vnsi-addons for kodi?

kodi3: LE 7.93.5 on Pi3
kodi4: LE 7.93.5 on Wetek Play 2
Server vdr 2.2.0, vnsi,...
find quote
flipsen1977 Offline
Junior Member
Posts: 16
Joined: Dec 2012
Reputation: 0
Post: #34
Hello FernetMenta,

thanks for your great work on the vnsi-plugin. Is there already support implemented for the vdr cutting marks set to jump over commercial breaks in a record? If not, is it already planned for future releases?

Regards, Flipsen
find quote
FernetMenta Online
Team-Kodi Developer
Posts: 6,190
Joined: Jul 2010
Reputation: 140
Location: Munich
Post: #35
Yes, I did this approximately one year ago: https://github.com/FernetMenta/vdr-plugi...5a478e9691

I have not tested this recently. Is it broken?
find quote
flipsen1977 Offline
Junior Member
Posts: 16
Joined: Dec 2012
Reputation: 0
Post: #36
This Sounds really great. I couldn't test it yet. I just knew that this function wasn't available last year. But I will try es quick as I will have set up the new server. Thanks for your answer so far, I will report.
find quote
flipsen1977 Offline
Junior Member
Posts: 16
Joined: Dec 2012
Reputation: 0
Post: #37
Hello FernetMenta,

I managed to set up the new vdr from the yavdr unstable ppa (vdr 2.1.6 with vnsi-server-plugin 1.1.0), connect from kodi to vdr works fine, but there are no cutting marks in kodi available. How did you implement the function, how should the cut-marks be visible in kodi, the same way as bookmarks? There are no bookmarks, just when I stop replay und restart again, there is the auto-bookmark of the last break, therefore bookmarks themself shall be working.

Regards, Flipsen
find quote
FernetMenta Online
Team-Kodi Developer
Posts: 6,190
Joined: Jul 2010
Reputation: 140
Location: Munich
Post: #38
please read and post to this thread: http://forum.kodi.tv/showthread.php?tid=163045&page=2
find quote
gurabli Offline
Fan
Posts: 463
Joined: Sep 2012
Reputation: 1
Post: #39
Sorry for the n00b question, but is vnsi already available and fully working on latest OpenElec 5 based on Kodi?
If not, when it is expected to be?
Thanks!

HTPC 1: ASRock N3150DC-ITX, 8GB DDR3L, 64GB SSD, Ubuntu Server 16.04 LTS + Kodi v17 EGL
HTPC 2: RPi2 + HiFiBerry DIGI+, LibreElec
find quote
FernetMenta Online
Team-Kodi Developer
Posts: 6,190
Joined: Jul 2010
Reputation: 140
Location: Munich
Post: #40
afaik it is included in OE5
find quote
gurabli Offline
Fan
Posts: 463
Joined: Sep 2012
Reputation: 1
Post: #41
(2015-01-05 12:11)FernetMenta Wrote:  afaik it is included in OE5

Great, it sounds very good. I will check this out once I find some time for upgrade.

HTPC 1: ASRock N3150DC-ITX, 8GB DDR3L, 64GB SSD, Ubuntu Server 16.04 LTS + Kodi v17 EGL
HTPC 2: RPi2 + HiFiBerry DIGI+, LibreElec
find quote
flipsen1977 Offline
Junior Member
Posts: 16
Joined: Dec 2012
Reputation: 0
Post: #42
Yes, it is included, figured it out last weekend.
find quote
Tuxwork Offline
Junior Member
Posts: 41
Joined: Mar 2012
Reputation: 0
Post: #43
Hi,

i can't enable vnsi with "latest git (1.2.1) (master)" with "latest pvr (master)" on fresh KODI (15.0-ALPHA1 Git:2015-02-04-ee2bae8-dirty)
Code:
git clone https://github.com/opdenkamp/xbmc-pvr-addons.git -b master
git clone https://github.com/FernetMenta/vdr-plugin-vnsiserver.git -b master
git clone git://github.com/xbmc/xbmc.git
my vdr is runing like:
Code:
/usr/bin/vdr -w 60 -Pepgtableid0 -Piptv -Pfemon -Pskincurses -Pwirbelscan -Pstreamdev-server -Pdvbapi -Pvnsiserver -Pxineliboutput --local=none --primary --remote=:37890
i get unknown error in kodi log:
Code:
11:45:36 T:2801707840   DEBUG: PVR - Create - creating PVR add-on instance 'VDR VNSI Client'
11:45:36 T:2801707840   DEBUG: ADDON: Dll Initializing - VDR VNSI Client
11:45:36 T:2801707840   DEBUG: SECTION:LoadDLL(/usr/lib/kodi/addons/pvr.vdr.vnsi/Kodi_VDR_vnsi.pvr)
11:45:36 T:2801707840   DEBUG: Loading: /usr/lib/kodi/addons/pvr.vdr.vnsi/Kodi_VDR_vnsi.pvr
11:45:36 T:2852563776  NOTICE: Thread BackgroundLoader start, auto delete: false
11:45:36 T:2801707840   ERROR: ADDON: Dll VDR VNSI Client - Client returned bad status (6) from Create and is not usable
11:45:36 T:2801707840    INFO: Called Add-on status handler for '6' of clientName:VDR VNSI Client, clientID:pvr.vdr.vnsi (same Thread=no)
11:45:36 T:2801707840 WARNING: UpdateAndInitialiseClients - failed to create add-on VDR VNSI Client, status = 6
11:45:36 T:2801707840 WARNING: UpdateAndInitialiseClients - failed to load the dll for add-on VDR VNSI Client, disabling it
11:45:36 T:2962131776  NOTICE: Thread AddonStatus pvr.vdr.vnsi start, auto delete: true
11:45:36 T:2962131776   DEBUG: Thread AddonStatus pvr.vdr.vnsi 2962131776 terminating (autodelete)

should downgrade kodi to get PVR working ?
Thanks.
find quote
decaturguy Offline
Senior Member
Posts: 184
Joined: Mar 2009
Reputation: 2
Location: Sweden
Post: #44
Why in Gods name you wanna use "KODI (15.0-ALPHA1 Git:2015-02-04-ee2bae8-dirty)" ? while the latest stable Kodi 14.1 Helix just released few days agoConfused
find quote
Tuxwork Offline
Junior Member
Posts: 41
Joined: Mar 2012
Reputation: 0
Post: #45
Ok, i try 14.1 now, but please which version of pvr and vnisi should i use with kodi-14.1 ?

is good with... ?
Code:
git clone https://github.com/opdenkamp/xbmc-pvr-addons.git -b helix
git clone https://github.com/FernetMenta/vdr-plugin-vnsiserver.git -b jim

Thanks.
find quote
Post Reply